Bug 69959 - PAM should support mounting encrypted home directories
PAM should support mounting encrypted home directories
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: pam (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-26 17:05 EDT by W. Michael Petullo
Modified: 2015-01-07 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version: FE4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-07 11:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for pam_mount which adds encrypted loopback device support (48.65 KB, patch)
2002-07-26 17:08 EDT, W. Michael Petullo
no flags Details | Diff

  None (edit)
Description W. Michael Petullo 2002-07-26 17:05:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020625

Description of problem:
A PAM module named pam_mount that, when patched, allows PAM to mount an
encrypted home directory for a user at login time.  When the user logs out, PAM
unmounts the encrypted volume.  This is a very nice security feature.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Red Hat Linux does not support mounting encrypted home directories at login time.

Additional info:

Pam_mount is available at http://bazar.conectiva.com.br/~epx/pam_mount/.  It is
not yet a component of the mainstream PAM distribution.  I will attach a patch
for pam_mount 0.3.2 which adds encrypted loopback device support.  Also required
is the crypto patchs mentioned in bug number 56698 (this bug should depend on
56698).

Pam_mount includes a good README.  I have been using these packages successfuly
on my computer for some time.  Of course, your mileage may vary.
Comment 1 W. Michael Petullo 2002-07-26 17:08:26 EDT
Created attachment 67305 [details]
Patch for pam_mount which adds encrypted loopback device support
Comment 2 W. Michael Petullo 2002-08-15 13:01:57 EDT
Pam_mount now officially supports encrypted volumes.  New versions of pam_mount
are available at http://www.flyn.org.
Comment 3 W. Michael Petullo 2005-08-07 11:56:25 EDT
There is now a pam_mount package in Fedora Extras that provides this 
capability.

Note You need to log in before you can comment on or make changes to this bug.